weka.associations

## Class AbstractAssociator

- java.lang.Object
- - weka.associations.AbstractAssociator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Associator, CapabilitiesHandler, CapabilitiesIgnorer, RevisionHandler
  Direct Known Subclasses:
    Apriori, FPGrowth, SingleAssociatorEnhancer

      public abstract class AbstractAssociator
      extends java.lang.Object
      implements java.lang.Cloneable, Associator, java.io.Serializable, CapabilitiesHandler, CapabilitiesIgnorer, RevisionHandler

  Abstract scheme for learning associations. All schemes for learning associations implemement this class
  Version:
    $Revision: 11006 $
  Author:
    Eibe Frank (eibe@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAssociator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `doNotCheckCapabilitiesTipText()` Returns the tip text for this property
    `static Associator` | `forName(java.lang.String associatorName, java.lang.String[] options)` Creates a new instance of a associator given it's class name and (optional) arguments to pass to it's setOptions method.
    `Capabilities` | `getCapabilities()` Returns the Capabilities of this associator.
    `boolean` | `getDoNotCheckCapabilities()` Get whether capabilities checking is turned off.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `static Associator[]` | `makeCopies(Associator model, int num)` Creates copies of the current associator.
    `static Associator` | `makeCopy(Associator model)` Creates a deep copy of the given associator using serialization.
    `static void` | `runAssociator(Associator associator, java.lang.String[] options)` runs the associator with the given commandline options
    `void` | `setDoNotCheckCapabilities(boolean doNotCheckCapabilities)` Set whether not to check capabilities.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface weka.associations.Associator

      `buildAssociations`

- - ### Constructor Detail

    - #### AbstractAssociator

          public AbstractAssociator()

  - ### Method Detail

    - #### doNotCheckCapabilitiesTipText

          public java.lang.String doNotCheckCapabilitiesTipText()

      Returns the tip text for this property
      Returns:
        tip text for this property suitable for displaying in the explorer/experimenter gui

    - #### setDoNotCheckCapabilities

          public void setDoNotCheckCapabilities(boolean doNotCheckCapabilities)

      Set whether not to check capabilities.
      Specified by:
        `setDoNotCheckCapabilities` in interface `CapabilitiesIgnorer`
      Parameters:
        `doNotCheckCapabilities` - true if capabilities are not to be checked.

    - #### getDoNotCheckCapabilities

          public boolean getDoNotCheckCapabilities()

      Get whether capabilities checking is turned off.
      Specified by:
        `getDoNotCheckCapabilities` in interface `CapabilitiesIgnorer`
      Returns:
        true if capabilities checking is turned off.

    - #### forName

          public static Associator forName(java.lang.String associatorName,
                           java.lang.String[] options)
                                    throws java.lang.Exception

      Creates a new instance of a associator given it's class name and (optional) arguments to pass to it's setOptions method. If the associator implements OptionHandler and the options parameter is non-null, the associator will have it's options set.
      Parameters:
        `associatorName` - the fully qualified class name of the associator
        `options` - an array of options suitable for passing to setOptions. May be null.
      Returns:
        the newly created associator, ready for use.
      Throws:
        `java.lang.Exception` - if the associator name is invalid, or the options supplied are not acceptable to the associator

    - #### makeCopy

          public static Associator makeCopy(Associator model)
                                     throws java.lang.Exception

      Creates a deep copy of the given associator using serialization.
      Parameters:
        `model` - the associator to copy
      Returns:
        a deep copy of the associator
      Throws:
        `java.lang.Exception` - if an error occurs

    - #### makeCopies

          public static Associator[] makeCopies(Associator model,
                                int num)
                                         throws java.lang.Exception

      Creates copies of the current associator. Note that this method now uses Serialization to perform a deep copy, so the Associator object must be fully Serializable. Any currently built model will now be copied as well.
      Parameters:
        `model` - an example associator to copy
        `num` - the number of associators copies to create.
      Returns:
        an array of associators.
      Throws:
        `java.lang.Exception` - if an error occurs

    - #### getCapabilities

          public Capabilities getCapabilities()

      Returns the Capabilities of this associator. Maximally permissive capabilities are allowed by default. Derived associators should override this method and first disable all capabilities and then enable just those capabilities that make sense for the scheme.
      Specified by:
        `getCapabilities` in interface `Associator`
      Specified by:
        `getCapabilities` in interface `CapabilitiesHandler`
      Returns:
        the capabilities of this object
      See Also:
        `Capabilities`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### runAssociator

          public static void runAssociator(Associator associator,
                           java.lang.String[] options)

      runs the associator with the given commandline options
      Parameters:
        `associator` - the associator to run
        `options` - the commandline options